function [T,X,Y,Z]=trisphere(n)

T=xload('int32','input/sphere.ind')+1;
X=xload('float','input/sphere.arr');
X=X(8:10,:);

[u,U]=xunique(T);
f=find(U==3);
A=[];
d=[];

for c1=u(f)'
  t=find(any(T==c1));
  d=[d t];
  M=T(2:3,t);
  uM=unique(M);
  A=[A uM];
end

T(:,d)=[];
T=[T A];

u=unique(T);
ind=zeros(1,100);
ind(u)=1;
ind=cumsum(ind);
X=X(:,u);
T=ind(T);

[X,T]=subdivision(X,T,ones(1,n));
X=X./repmat(sqrt(sum(X.*X)),[3 1]);

T=T';

P=X;

X=P(1,:);
Y=P(2,:);
Z=P(3,:);

xtrisave('sphere',T,[X;Y;Z]);
